Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface PostalAddress

All Superinterfaces:
  ExtensibleObject

public interface PostalAddress
extends ExtensibleObject

PostalAddress is a simple re-usable entity class that defines attributes of a postal Address.

Author:
  Farrukh S. Najmi

Method Summary
`java.lang.String` | `getCity()` Returns the city.
`java.lang.String` | `getCountry()` Returns the country.
`java.lang.String` | `getPostalCode()` Returns the postal or zip code.
`ClassificationScheme` | `getPostalScheme()` Returns a user-defined postal scheme for codifying the attributes of PostalAddress.
`java.lang.String` | `getStateOrProvince()` Returns the state or province.
`java.lang.String` | `getStreet()` Returns the street name.
`java.lang.String` | `getStreetNumber()` Returns the street number.
`java.lang.String` | `getType()` Returns the type of address (for example, "headquarters") as a String.
`void` | `setCity(java.lang.String city)` Sets the city.
`void` | `setCountry(java.lang.String country)` Sets the country.
`void` | `setPostalCode(java.lang.String postalCode)` Sets the postal or zip code.
`void` | `setPostalScheme(ClassificationScheme scheme)` Sets a user-defined postal scheme for codifying the attributes of PostalAddress.
`void` | `setStateOrProvince(java.lang.String stateOrProvince)` Sets the state or province.
`void` | `setStreet(java.lang.String street)` Sets the street name.
`void` | `setStreetNumber(java.lang.String streetNumber)` Sets the street number.
`void` | `setType(java.lang.String type)` Sets the type of address (for example, "headquarters") as a String.

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### getStreet

    public java.lang.String getStreet()
                               throws JAXRException

  Returns the street name. Default is an empty String.

  Capability Level: 0

  Returns:
    the street name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setStreet

    public void setStreet(java.lang.String street)
                   throws JAXRException

  Sets the street name.

  Capability Level: 0

  Parameters:
    `street` - the street name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getStreetNumber

    public java.lang.String getStreetNumber()
                                     throws JAXRException

  Returns the street number. Default is an empty String.

  Capability Level: 0

  Returns:
    the street number
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setStreetNumber

    public void setStreetNumber(java.lang.String streetNumber)
                         throws JAXRException

  Sets the street number.

  Capability Level: 0

  Parameters:
    `streetNumber` - the street number
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getCity

    public java.lang.String getCity()
                             throws JAXRException

  Returns the city. Default is an empty String.

  Capability Level: 0

  Returns:
    the city
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setCity

    public void setCity(java.lang.String city)
                 throws JAXRException

  Sets the city.

  Capability Level: 0

  Parameters:
    `city` - the city
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getStateOrProvince

    public java.lang.String getStateOrProvince()
                                        throws JAXRException

  Returns the state or province. Default is an empty String.

  Capability Level: 0

  Returns:
    the state or province
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setStateOrProvince

    public void setStateOrProvince(java.lang.String stateOrProvince)
                            throws JAXRException

  Sets the state or province.

  Capability Level: 0

  Parameters:
    `stateOrProvince` - the state or province
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getPostalCode

    public java.lang.String getPostalCode()
                                   throws JAXRException

  Returns the postal or zip code. Default is an empty String.

  Capability Level: 0

  Returns:
    the postal code (e.g. US zip code)
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setPostalCode

    public void setPostalCode(java.lang.String postalCode)
                       throws JAXRException

  Sets the postal or zip code.

  Capability Level: 0

  Parameters:
    `postalCode` - the postal code (e.g. US zip code)
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getCountry

    public java.lang.String getCountry()
                                throws JAXRException

  Returns the country. Default is an empty String.

  Capability Level: 0

  Returns:
    the country
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setCountry

    public void setCountry(java.lang.String country)
                    throws JAXRException

  Sets the country.

  Capability Level: 0

  Parameters:
    `country` - the country
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getType

    public java.lang.String getType()
                             throws JAXRException

  Returns the type of address (for example, "headquarters") as a String.

  Capability Level: 0

  Returns:
    the type for this PostalAddress. This is an arbitrary String (e.g. "Home", "Office")
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setType

    public void setType(java.lang.String type)
                 throws JAXRException

  Sets the type of address (for example, "headquarters") as a String.

  Capability Level: 0

  Parameters:
    `type` - the type for this PostalAddress. This is an arbitrary String (e.g. "Home", "Office")
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setPostalScheme

    public void setPostalScheme(ClassificationScheme scheme)
                         throws JAXRException

  Sets a user-defined postal scheme for codifying the attributes of PostalAddress.

  Capability Level: 0

  Parameters:
    `scheme` - the user defined postal scheme.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getPostalScheme

    public ClassificationScheme getPostalScheme()
                                         throws JAXRException

  Returns a user-defined postal scheme for codifying the attributes of PostalAddress. If none is defined for this object, then must return the default value returned by RegistryService#getDefaultPostalScheme()

  Capability Level: 0

  Returns:
    the user defined postal scheme.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `RegistryService.getDefaultPostalScheme()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.